## edu.stanford.nlp.tagger.maxent
Class LambdaSolveTagger

    java.lang.Object
      edu.stanford.nlp.maxent.iis.LambdaSolve
          edu.stanford.nlp.tagger.maxent.LambdaSolveTagger

    public class LambdaSolveTagger

extends LambdaSolve

This module does the working out of lambda parameters for binary tagger features. It can use either IIS or CG.

Author:
  Kristina Toutanova

Field Summary

Fields inherited from class edu.stanford.nlp.maxent.iis.LambdaSolve
`convertValues, eps, fixedFnumXY, fnumArr, ftildeArr, lambda, lambda_converged, newtonerr, p, probConds, weightRanks, zlambda`

Method Summary
`boolean` `checkCorrectness()` Works out whether the model expectations match the empirical expectations.

Methods inherited from class edu.stanford.nlp.maxent.iis.LambdaSolve
`divide, expectedValue, fnum, GainCompute, getDerivatives, getDerivativesExpectedValue, getDerivativesLossDomination, getDerivativesNeg, improvedIterative, improvedIterative, logLikelihood, logLikelihoodNeg, logLikelihoodScratch, lossDomination, main, pcond, print, read_lambdas, readL, save_lambdas, save_lambdas, setBinary, setNonBinary, transformValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkCorrectness

    public boolean checkCorrectness()

  Works out whether the model expectations match the empirical expectations.

  Overrides:
    `checkCorrectness` in class `LambdaSolve`
  Returns:
    Whether the model is correct

Stanford NLP Group